#-----------------------------------------------------------------------------
sub verifyDirs
#-----------------------------------------------------------------------------
{
  &logit("Verifying that all DBAmon required directories exist");

  @verify_dirlist = (
    '/opt/dbamon/dat',
    '/opt/dbamon/dat/reports',
    '/opt/dbamon/dat/audit',
    '/opt/dbamon/dat/appldb',
    '/opt/dbamon/dat/reports/informix_ver',
    '/opt/dbamon/dat/reports/test/informix_ver',
    '/opt/dbamon/dat/config_save',
    '/opt/dbamon/dat/history/dbspaces',
    '/opt/dbamon/tmp',
    '/opt/dbamon/tmp/ontape',
    '/opt/dbamon/tmp/test',
    '/opt/dbamon/log',
    '/opt/dbamon/htm',
    '/opt/dbamon/htm/details',
    '/opt/dbamon/htm/details_test',
    '/opt/dbamon/htm/events_current',
    '/opt/dbamon/htm/events_current_test',
    '/opt/dbamon/htm/graphs/db_growth',
    '/opt/dbamon/htm/graphs/perf',
    '/opt/dbamon/htm/graphs/stats',
    '/opt/dbamon/adm/instances_test',
   '/opt/dbamon'
  ); 

  foreach $verify_thisdir (@verify_dirlist)
  {
    ##print "processing vt=$verify_thisdir\n"; 
    if (! -l "$verify_thisdir" && 
        ! -e "$verify_thisdir")
    {
      &logit("  Creating DBAmon directory $verify_thisdir"); 
      if (system("mkdir -p $verify_thisdir") != 0)
      {
        &error_msg("Cannot create directory $verify_thisdir - $!");  
      }
    }
  }
}
1;
