#-----------------------------------------------------------------------------
sub readCMDBContacts
#-----------------------------------------------------------------------------
{
  ($h) = @_;

  $star_contacts[$h] = "";

  my $this_hostname = "";
  my $this_instance = "";

  #---- Determine hostname
  if ($rmt_hostname[$h] ne "")
  {
    $this_hostname = $rmt_hostname[$h];
  }
  else
  {
    $this_hostname = $hostfix[$h];
  }

  #---- Determine instance
  if ($dbms[$h] eq "MSSQL")
  {
    $this_instance = ""; 
  }
  else
  {
    $this_instance = "and sc_instance = '$instance[$h]'";
  }

  $ndx = index($fqhostname[$h],'.');
  $zdomain = lc substr($fqhostname[$h],$ndx+1);

  $sql  = "
    select distinct
      sc_email
   from 
     dbamon.star_contacts
   where
     sc_hostname = \'$this_hostname\'
     and sc_domain   = \'$zdomain\'
     $this_instance 
   ";

  &debug($h,"sql=$sql");

  $sth3 = $dbh->prepare($sql)  || &error_msg("SQL Error=$DBI::errstr SQL sql=$sql Failure");
  $sth3->execute               || &error_msg("SQL Error=$DBI::errstr SQL sql=$sql Failure");

  while (@Data = $sth3->fetchrow_array)
  {
    $star_contacts[$h] .= "$Data[0] ";
  }

  $star_contacts[$h] = "(None)" if $star_contacts[$h] eq "";

  &debug($h,"star_contacts[$h]=$star_contacts[$h]");
}
1;
